/***************************************************************************
 *   Copyright (C) 2004 by Petric Frank                                    *
 *   pfrank@gmx.de                                                         *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#ifndef __CONNECTED_SOCKET_H__
#define __CONNECTED_SOCKET_H__

//#include <arpa/inet.h>
//#include <sys/socket.h>
//#include <sys/types.h>
#include <netinet/in.h>



class connected_socket
{
  public:
    connected_socket (int, sockaddr_in &);
    ~connected_socket ();

    size_t send (const void *, int);
    int recv (void *, int);

    char *get_ip ();

    bool close ();

  private:
    int sockfd;
    sockaddr_in address;
};


#endif
